Package org.jfree.layouting.renderer

## Class PaginatingRenderer

- java.lang.Object
- - org.jfree.layouting.renderer.AbstractRenderer
  - - org.jfree.layouting.renderer.PaginatingRenderer

- All Implemented Interfaces:
    `Renderer`, `StatefullComponent`

      public class PaginatingRenderer
      extends AbstractRenderer

  A renderer which builds a streaming page model.
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `PaginatingRenderer.DefaultFlowRendererState` |

    - ### Nested classes/interfaces inherited from class org.jfree.layouting.renderer.AbstractRenderer

      `AbstractRenderer.RendererState`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `PaginatingRenderer​(LayoutProcess layoutProcess)` |
    `protected` | `PaginatingRenderer​(LayoutProcess layoutProcess, boolean init)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `firePagebreak​()` |
    `State` | `saveState​()` |
    `protected void` | `validateOutput​()` |

    - ### Methods inherited from class org.jfree.layouting.renderer.AbstractRenderer

      `addContent, addPassThroughContent, finishedBlock, finishedDocument, finishedFlow, finishedInline, finishedMarker, finishedPassThrough, finishedRootInline, finishedTable, finishedTableCaption, finishedTableCell, finishedTableColumn, finishedTableColumnGroup, finishedTableRow, finishedTableSection, getInsertationPoint, getLayoutProcess, getLogicalPageBox, getPageContext, getRenderPageContext, handlePageBreak, isProcessingNormalFlow, setLayoutFailureReason, startedBlock, startedDocument, startedFlow, startedInline, startedMarker, startedPassThrough, startedRootInline, startedTable, startedTableCaption, startedTableCell, startedTableColumn, startedTableColumnGroup, startedTableRow, startedTableSection, tryValidateOutput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaginatingRenderer

          protected PaginatingRenderer​(LayoutProcess layoutProcess,
                                       boolean init)

    - #### PaginatingRenderer

          public PaginatingRenderer​(LayoutProcess layoutProcess)

  - ### Method Detail

    - #### validateOutput

          protected void validateOutput​()
                                 throws NormalizationException

      Specified by:
        `validateOutput` in class `AbstractRenderer`
      Throws:
        `NormalizationException`

    - #### firePagebreak

          protected void firePagebreak​()
                                throws NormalizationException

      Throws:
        `NormalizationException`

    - #### saveState

          public State saveState​()
                          throws StateException

      Throws:
        `StateException`